import React from 'react';
import ReactDOM from 'react-dom';
import App from './App';
import Page2 from './comp/page2';
import Page404 from './comp/page404';
import Form from './comp/form';


import {
    BrowserRouter as Router,
    Route, 
    Switch
  } from 'react-router-dom'

  

class Root extends React.Component
{
    constructor(){
        super()
        this.saveState2 = this.saveState2.bind(this);
        this.resetState2 = this.resetState2.bind(this);
        this.state = {
            guests:{}
        }
        if (localStorage.state) {
            //localStorage.state = ""
            this.state.guests = JSON.parse(localStorage.state);
        } 

        console.log(this.state.guests)
    }
    saveState2(newGuest){
        var allguests  = {...this.state.guests}
        var timestamp = Date.now();
        allguests["guest-"+timestamp] = newGuest 
        console.log("Ddd");
        this.setState({guests:allguests})
        localStorage.state = JSON.stringify(allguests);
        //alert("save the state class")
    }

    resetState2(){
        this.setState({guests:""})
    }
    render(){
    return(
        <Router>
            <div>
            <Switch>
            <Route exact path="/" component={App}/>
            <Route path="/about" component={Page2}/>
            <Route path="/form" render={()=><Form num="2" someProp="ddd" resetState3={this.resetState2} saveState={this.saveState2} state={this.state}/>}/>
            <Route  component={Page404}/>
            </Switch>
            </div>
        </Router>
    )
    }
}


ReactDOM.render(<Root    />, document.getElementById('root'));
//registerServiceWorker();
